Botan 1.10.17

Namespaces | Functions
mp_monty.cpp File Reference
`#include <botan/internal/mp_core.h>`
`#include <botan/internal/mp_asm.h>`
`#include <botan/internal/mp_asmi.h>`
`#include <botan/mem_ops.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
void | Botan::bigint_monty_mul (word z[], size_t z_size, const word x[], size_t x_size, size_t x_sw, const word y[], size_t y_size, size_t y_sw, const word p[], size_t p_size, word p_dash, word workspace[])
void | Botan::bigint_monty_redc (word z[], size_t z_size, const word p[], size_t p_size, word p_dash, word workspace[])
void | Botan::bigint_monty_sqr (word z[], size_t z_size, const word x[], size_t x_size, size_t x_sw, const word p[], size_t p_size, word p_dash, word workspace[])